Subject: �^�H�Gnode routing status

From: [email-masked]
Date: Fri, 18 Feb 2000 11:27:58 +0800

>Our discussion began that we should allow nodes to choose not
>be routers if they so desire, but we then easily imagined
>a scenario where _everyone_ in the network decides to turn off
>their routing capabilities, so as not to drain their battery life
>forwarding other user's data.  This would obviously lead to
>an ineffective network, where few (if any) users would be able
>to receive data.

   Yeah, in practice, it will happen.

>So the question we want to ask is, what is the opinion of the group
>regarding whether users should be allowed to refuse to be routers,
>even if this leads to an effectively disconnected network?  We can
>envision allowing users to stop routing if their remaining battery
>power falls below a certain threshold, but how should this problem
>be handled otherwise?

        My personal opinion, ad-hoc nodes may not get involved in routing, but
they should be
     always READY   to get involved in. As I know (pardon me if wrong), the
basic definition
     of ad-hoc network is that every node is (or is able to be) a router. But
for efficiency
     reasons, we try to eliminate nodes which get involved in routing and
forwarding ( such
     as several hierarchical routing schemes, on-demand scheme). It is our GOAL
for this
     source limited network but a PRINCIPLE for it. So I tend to support that
all nodes should
     be under obligation to be router while they obtain advantage from others.

        BTW, I agree with to grant nodes with low battery power to stop routing.
That is a good
     consideration.

---- Paul Chao

------------------------------------------------------------------------
Paul Shiang-Wei Chao

D-Link Corporation,
Taipei, Taiwan, ROC.

email: [email-masked]
             [email-masked]